summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-09-04 21:29:55 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-09-05 06:25:14 +0700
commit14cac060a4b9674ab82a90a5a50f79b1aa4e3710 (patch)
tree5592da094e28e8a44a2f479d346cbc6b45a6fe75 /system
parentda848500d1f7fd5b196edada0087990ee5858fc0 (diff)
downloadslackbuilds-14cac060a4b9674ab82a90a5a50f79b1aa4e3710.tar.gz
slackbuilds-14cac060a4b9674ab82a90a5a50f79b1aa4e3710.tar.xz
system/zuluCrypt: Added (CLI and GUI frontend to cryptsetup).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/zuluCrypt/README33
-rw-r--r--system/zuluCrypt/doinst.sh13
-rw-r--r--system/zuluCrypt/slack-desc19
-rw-r--r--system/zuluCrypt/zuluCrypt.SlackBuild110
-rw-r--r--system/zuluCrypt/zuluCrypt.info10
5 files changed, 185 insertions, 0 deletions
diff --git a/system/zuluCrypt/README b/system/zuluCrypt/README
new file mode 100644
index 0000000000..148dcd6020
--- /dev/null
+++ b/system/zuluCrypt/README
@@ -0,0 +1,33 @@
+zuluCrypt (CLI and GUI frontend to cryptsetup).
+
+zuluCrypt is a simple, feature rich and powerful solution for hard drives encryption.
+
+zuluCrypt is made up of two components:
+The back end, CLI interface is called "zuluCrypt-cli".
+The front end is Qt GUI application called "zuluCrypt-gui.
+
+* zuluCrypt:
+
+zuluCrypt does hard drives encryption and it can manage plain dm-crypt volumes,LUKS encrypted volumes,
+ TrueCrypt encrypted volumes and VeraCrypt encrypted volumes.
+
+zuluCrypt can manage encrypted volumes that are hosted in image files,in lvm volumes,in mdraid volumes as well as in hard drives and usb sticks.
+
+zuluCrypt can also encrypt stand alone files(zuluCrypt menu->zC->encrypt a file).
+
+* zuluMount:
+
+zuluMount is bundled with zuluCrypt and its meant to be used as a general purpose tool
+that mount and unmount zuluCrypt supported encrypted volumes as well as unencrypted volumes
+and it can be used as a substitute to udisks,pmount and related tools.
+
+zuluMount-gui can also be used as a frontend to encfs.
+
+zuluMount-gui is ideal for use as a desktop environment/file manager independent tool for
+mounting/unmounting encrypted and unencrypted volumes.
+
+NOTE"
+* This package was set to do not use Gnome or KDE to store passwords, If you want that feature, change the value -DNOGNOME=false or
+-DNOKDE=false to "true", about these and other options, please check /usr/doc/$PRGNAM-$VERSION/BUILD_INSTRUCTIONS.
+
+Optional dependencies are: libpwquality, tc-play (also available as internal copy on zuluCrypt).
diff --git a/system/zuluCrypt/doinst.sh b/system/zuluCrypt/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/system/zuluCrypt/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/system/zuluCrypt/slack-desc b/system/zuluCrypt/slack-desc
new file mode 100644
index 0000000000..17f9c8fbb0
--- /dev/null
+++ b/system/zuluCrypt/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zuluCrypt: zuluCrypt (CLI and GUI frontend to cryptsetup).
+zuluCrypt:
+zuluCrypt: zuluCrypt is a simple, feature rich and powerful solution for
+zuluCrypt: hard drives encryption.
+zuluCrypt:
+zuluCrypt: Home page: http://mhogomchungu.github.io/zuluCrypt/
+zuluCrypt:
+zuluCrypt:
+zuluCrypt:
+zuluCrypt:
+zuluCrypt:
diff --git a/system/zuluCrypt/zuluCrypt.SlackBuild b/system/zuluCrypt/zuluCrypt.SlackBuild
new file mode 100644
index 0000000000..35e6895745
--- /dev/null
+++ b/system/zuluCrypt/zuluCrypt.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+#
+# Slackware build script for zuluCrypt.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=zuluCrypt
+VERSION=${VERSION:-4.7.7}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DNOGUI=false \
+ -DQT5=true \
+ -DHOMEMOUNTPREFIX=false \
+ -DNOGNOME=true \
+ -DNOKDE=true \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/man/man1
+mv $PKG/usr/share/man/man1/* $PKG/usr/man/man1/
+rm -rf $PKG/usr/share/man
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+DOCS="BUILD_INSTRUCTIONS changelog COPYING GPLv* LICENSE README* TODO"
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM-SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/zuluCrypt/zuluCrypt.info b/system/zuluCrypt/zuluCrypt.info
new file mode 100644
index 0000000000..488a1a8959
--- /dev/null
+++ b/system/zuluCrypt/zuluCrypt.info
@@ -0,0 +1,10 @@
+PRGNAM="zuluCrypt"
+VERSION="4.7.7"
+HOMEPAGE="http://mhogomchungu.github.io/zuluCrypt/"
+DOWNLOAD="https://www.dropbox.com/s/pqah9unuv4cds9o/zuluCrypt-4.7.7.tar.xz"
+MD5SUM="1fca343dcb5dcc3410303fc41c6ca9da"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="qt5"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"